/*

  Laser Detector

  Parts required:
  - Arduino Board
  - Laser Detector

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 30 Mar 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

int value;                                      // set variable value
int laserRecieverPin = 2;                       // set varaible laserRecieverPin to digital port 2

void setup() {
  pinMode(laserRecieverPin, INPUT);             // set laserRecieverPin to INPUT
  Serial.begin(9600);                           // start Serial Monitor communication
}

void loop() {
  value = digitalRead(laserRecieverPin);        // read laserRecieverPin and store in value
  if (value == HIGH) {                          // if value = HIGH (laser is connected)
    Serial.println("Laser connected..");        // print text to Serial Monitor
  }
  else {                                        // if value = LOW (laser no connected)
    Serial.println("Laser connected broken.."); // print text to Serial Monitor
  }
  delay(200);                                   // wait 200ms
}
